Bug 1313836 - broadband PIN dialog wont appear
Summary: broadband PIN dialog wont appear
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-02 12:29 UTC by Tomas Pelka
Modified: 2016-11-03 19:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:08:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Tomas Pelka 2016-03-02 12:29:39 UTC
Description of problem:
PI dialog fro broadband devices won't appear unless nm-applet is running.

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-27.el7
network-manager-applet-1.0.6-2.el7

How reproducible:
100%

Steps to Reproduce:
1. insert broadband modem with PIN locked SIM
2.
3.

Actual results:
PIN dialog for unlocking SIM wont appear unless nm-applet is running 

Expected results:
PIN dialog should be rewritten for standard gnome-shell NM dialogues

Additional info:

Comment 1 Vladimir Benes 2016-03-02 12:50:55 UTC
Entering PIN into profile (aka gsm.pin) and upping it should result in connected device not:
Error: Connection activation failed: No suitable device found for this connection.

[vbenes@trautenberg ~]$ nmcli connection up id O2\ Default 
Error: Connection activation failed: No suitable device found for this connection.
[vbenes@trautenberg ~]$ nm-applet
[vbenes@trautenberg ~]$ nmcli connection up id O2\ Default 
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/19)

so from above mentioned I would say we need to have nm-applet (network-manager-applet rpm) to be installed as a dependency of NetworkManager-wwan and when upping gsm type connection we should be able to start nm-applet prior, right? Not sure how this behave in non-gui mode but that's kind of step 2.

Stopping nm-applet after shutting down the connection would be nice too :-)

Comment 2 Beniamino Galvani 2016-07-21 08:14:03 UTC
(In reply to Tomas Pelka from comment #0)
> Description of problem:
> PI dialog for broadband devices won't appear unless nm-applet is running.

Tested on RHEL 7.3, a Gnome-shell dialog is displayed asking for
PIN/password upon connection to a modem device.

(In reply to Vladimir Benes from comment #1)
> Entering PIN into profile (aka gsm.pin) and upping it should result in
> connected device not:
> Error: Connection activation failed: No suitable device found for this
> connection.

This seems to work now in RHEL 7.3.

> so from above mentioned I would say we need to have nm-applet
> (network-manager-applet rpm) to be installed as a dependency of
> NetworkManager-wwan and when upping gsm type connection we should be able to
> start nm-applet prior, right? Not sure how this behave in non-gui mode but
> that's kind of step 2.

NM can either use system-stored secrets or other agents as gnome-shell
or even nmcli itself. For example you can use:

 nmcli --ask connection up O2

to use the built-in secret agent. Or also start a agent with:

 nmcli agent

that will receive the secret requests for new activations. So the
dependency to nm-applet is not needed.


Can you please confirm everything works as expected and this can be closed?

Comment 3 Tomas Pelka 2016-07-26 09:35:43 UTC
Works for me, feel free to move to MODIFIED and add to https://errata.devel.redhat.com/advisory/22920

Thanks
-Tom

Comment 5 Vladimir Benes 2016-08-31 07:53:30 UTC
This works well now with both GS agent and nmcli as an agent with --ask option.

Comment 7 errata-xmlrpc 2016-11-03 19:08:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.